package com.example.list.vector;
//Java Program to Demonstrate Working of Vector

//Via Creating and Using It

//Importing required classes

import java.util.*;

//main class
public class Vectordemo {

	// Main driver method
	public static void main(String[] args) {
		// Size of the Vector
		int n = 5;

		// Declaring the Vector with
		// initial size n
		Vector<Integer> v = new Vector<Integer>(n);

		// Case 1
		// Creating a default vector
		Vector v1 = new Vector();

		// Appending new elements at
		// the end of the vector
		for (int i = 1; i <= n; i++)
			v.add(i);

		// Printing elements
		System.out.println(v);

		// Remove element at index 3
		v.remove(3);

		// Displaying the vector
		// after deletion
		System.out.println(v);

		// iterating over vector elements
		// usign for loop
		for (int i = 0; i < v.size(); i++)

			// Printing elements one by one
			System.out.print(v.get(i) + " ");

		// Adding custom elements
		// using add() method
		v1.add(1);
		v1.add(2);
		v1.add("Roja");
		v1.add("Gauthami");
		v1.add(3);

		// Printing the vector elements to the console
		System.out.println("Vector v1 is " + v1);

		// Case 2
		// Creating generic vector
		Vector<Integer> v2 = new Vector<Integer>();

		// Adding custom elements
		// using add() method
		v2.add(1);
		v2.add(2);
		v2.add(3);
		v2.add(12);
		v2.add(23);
		v2.add(22);
		v2.add(10);
		v2.add(20);

		// Printing the vector elements to the console
		System.out.println("Vector v2 is " + v2);

		// Displaying the Vector
		System.out.println("Vector: " + v2);

		// Using set() method to replace 12 with 21
		System.out.println("The Object that is replaced is: " + v2.set(0, 21));

		// Using set() method to replace 20 with 50
		System.out.println("The Object that is replaced is: " + v2.set(4, 50));

		// Displaying the modified vector
		System.out.println("The new Vector is:" + v2);

		// removing first occurrence element at 1
		v2.remove(1);

		// checking vector
		System.out.println("after removal: " + v2);

	}
}
