package com.example.set;
//Java program Illustrating Set Interface

//Importing utility classes
import java.util.*;

public class HashsetDemo {

	// Main driver method
	public static void main(String[] args) {
		// Demonstrating Set using HashSet
		// Declaring object of type String
		Set<String> hash_Set = new HashSet<String>();

		// Adding elements to the Set
		// using add() method
		hash_Set.add("Sam");
		hash_Set.add("Jam");
		hash_Set.add("Ram");
		hash_Set.add("Wexer");
		hash_Set.add("Dautron");

		// Printing elements of HashSet object
		System.out.println(hash_Set);
		// Creating an object of Set class
		// Declaring object of Integer type
		Set<Integer> a = new HashSet<Integer>();

		// Adding all elements to List
		a.addAll(Arrays.asList(new Integer[] { 1, 3, 2, 4, 8, 9, 0 }));

		// Creating an object of Set and
		// declaring object of type String
		Set<String> hs = new HashSet<String>();

		// Elements are added using add() method
		// Later onwards we wil show accessing the same

		// Custom input elements
		hs.add("A");
		hs.add("B");
		hs.add("C");
		hs.add("A");

		// Print the Set object elements
		System.out.println("Set is " + hs);

		// Again declaring object of Set class
		// with reference to HashSet
		Set<Integer> b = new HashSet<Integer>();

		b.addAll(Arrays.asList(new Integer[] { 1, 3, 7, 5, 4, 0, 7, 5 }));

		// To find union
		Set<Integer> union = new HashSet<Integer>(a);
		union.addAll(b);
		System.out.print("Union of the two Set");
		System.out.println(union);

		// To find intersection
		Set<Integer> intersection = new HashSet<Integer>(a);
		intersection.retainAll(b);
		System.out.print("Intersection of the two Set");
		System.out.println(intersection);

		// To find the symmetric difference
		Set<Integer> difference = new HashSet<Integer>(a);
		difference.removeAll(b);
		System.out.print("Difference of the two Set");
		System.out.println(difference);

		// Declaring a string
		String check = "D";
		// Check if the above string exists in
		// the SortedSet or not
		// using contains() method
		System.out.println("Contains " + check + " " + hs.contains(check));

		// Removing custom element
		// using remove() method
		hs.remove("B");

		// Printing Set elements after removing an element
		// and printing updated Set elements
		System.out.println("After removing element " + hs);

	}
}
